Bug 1566570 - If the external network provider is unavailable CFME network provider throws unfriendly exception
Summary: If the external network provider is unavailable CFME network provider throws ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.9.3
Assignee: Martin Slemr
QA Contact: Jad Haj Yahya
URL:
Whiteboard:
Depends On: 1510769
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 14:25 UTC by Satoe Imaishi
Modified: 2018-07-12 13:14 UTC (History)
14 users (show)

Fixed In Version: 5.9.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1510769
Environment:
Last Closed: 2018-07-12 13:14:16 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Bad error message (94.85 KB, image/png)
2018-05-01 10:04 UTC, Jad Haj Yahya
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2184 None None None 2018-07-12 13:14:52 UTC

Comment 2 CFME Bot 2018-04-12 17:43:16 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/48bead6e50cf6aab1404848fd6ff33e4360c61a1
commit 48bead6e50cf6aab1404848fd6ff33e4360c61a1
Author:     Samuel Lucidi <mansam@csh.rit.edu>
AuthorDate: Wed Apr  4 11:05:56 2018 -0400
Commit:     Samuel Lucidi <mansam@csh.rit.edu>
CommitDate: Wed Apr  4 11:05:56 2018 -0400

    Merge pull request #264 from slemrmartin/unavailable-network-provider-message

    Fixes unfriendly message when adding network for unavailable provider
    (cherry picked from commit e093c84b6625827f6709f7e6bff515c035b7ac48)

    https://bugzilla.redhat.com/show_bug.cgi?id=1566570

 app/models/manageiq/providers/openstack/helper_methods.rb | 2 +
 1 file changed, 2 insertions(+)

Comment 3 Jad Haj Yahya 2018-05-01 06:57:43 UTC
Tested on 5.9.2.3 over RHOS 10:

After stopping all neutron services in 3 controllers, I tried to create a network and I got below error message:

Unable to create Cloud Network "gtrfgtr": 765: unexpected token at '<html><body><h1>503 Service Unavailable</h1> No server is available to handle this request. </body></html> '

I think all html tags on error message are irrelevant for user and should be removed

Comment 4 Jad Haj Yahya 2018-05-01 10:04:39 UTC
Created attachment 1429155 [details]
Bad error message

Comment 10 Martin Slemr 2018-05-09 07:59:27 UTC
Jad: Can you provide me info how can you obtain HTML response? 

When I stopped neutron server it gives me: 

Unable to create Cloud Network "mslemr-err-test": Connection refused - connect(2) for 10.37.146.93:9696 (Errno::ECONNREFUSED) 

Are you using some proxy? 

I think this problem can occur on many places, it's probably not related directly to this BZ, this provider or this part of code...

Comment 12 Jad Haj Yahya 2018-05-17 20:02:41 UTC
Hi,

Did toy stop all neutron services in 3 controllers
if yes and still not reproducing, please let me know and i will try my self.

Also will supply you env to investigate

Comment 13 Martin Slemr 2018-05-18 06:49:11 UTC
Thanks, but can you describe it little more? I don't know where: "stop all neutron services in 3 controllers"

Comment 14 Jad Haj Yahya 2018-05-18 07:05:44 UTC
In our Setup we usually use a deployment of 3 controllers and 2 compute nodes.
You need to login from undercloud to each controller and stop below services:

systemctl | grep neutron

neutron-dhcp-agent.service                                           
neutron-openvswitch-agent.service                                               
neutron-server.service

Thanks

Comment 16 CFME Bot 2018-05-21 20:29:19 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/master:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/0c34c37a6c636f9b5415469e2b06a65b4d951d20
commit 0c34c37a6c636f9b5415469e2b06a65b4d951d20
Author:     Martin Slemr <mslemr@redhat.com>
AuthorDate: Mon May 21 08:41:51 2018 -0400
Commit:     Martin Slemr <mslemr@redhat.com>
CommitDate: Mon May 21 08:41:51 2018 -0400

    Friendly error message for HTTP 503

    Handling HTML error responses from undercloud

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566570
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1510769

 app/models/manageiq/providers/openstack/helper_methods.rb | 10 +
 1 file changed, 10 insertions(+)

Comment 17 CFME Bot 2018-05-21 20:40:45 UTC
New commit detected on ManageIQ/manageiq-providers-openstack/gaprindashvili:

https://github.com/ManageIQ/manageiq-providers-openstack/commit/a8b9d0b4cdacd837b03dc3589abcade2dfd5def3
commit a8b9d0b4cdacd837b03dc3589abcade2dfd5def3
Author:     Samuel Lucidi <mansam@csh.rit.edu>
AuthorDate: Mon May 21 16:28:40 2018 -0400
Commit:     Samuel Lucidi <mansam@csh.rit.edu>
CommitDate: Mon May 21 16:28:40 2018 -0400

    Merge pull request #293 from slemrmartin/neutron-svc-off-message

    Friendly error message for HTTP 503
    (cherry picked from commit 1afb38fd3b275826d3d88a16796c70b951b9f5c6)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1566570

 app/models/manageiq/providers/openstack/helper_methods.rb | 10 +
 1 file changed, 10 insertions(+)

Comment 18 Jad Haj Yahya 2018-05-27 05:49:25 UTC
Verified on 5.9.3.0

Comment 20 errata-xmlrpc 2018-07-12 13:14:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2184


Note You need to log in before you can comment on or make changes to this bug.